Bug 437906 - cannot create a new live image based on a previous one
Summary: cannot create a new live image based on a previous one
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: livecd-tools   
(Show other bugs)
Version: 9
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: F9Target
TreeView+ depends on / blocked
 
Reported: 2008-03-18 02:20 UTC by Jens Petersen
Modified: 2008-07-02 06:33 UTC (History)
2 users (show)

Fixed In Version: 017.1-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-02 06:33:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jens Petersen 2008-03-18 02:20:10 UTC
Description of problem:
I tried to update a live iso using "livecd-creator -b"
but it complains:



Version-Release number of selected component (if applicable):
livecd-tools-015-1.fc9

How reproducible:
every time

Steps to Reproduce:
0. # setenforce 0
1. livecd-creator -c live-fedora-desktop.ks
<later/>
2. livecd-creator -c live-fedora-desktop.ks -b
livecd-fedora-desktop-YYYYMMDD-from-1.iso
  
Actual results:
2. Get error:

# livecd-creator  -c livecd-fedora-desktop.ks -b
livecd-fedora-desktop-200803181149.iso 
Using label 'fedora-desktop-200803181216' and name
'livecd-fedora-desktop-200803181216'
mount: block device /dev/loop2 is write-protected, mounting read-only
Error creating Live CD : _image is not valid before calling mount()

Expected results:
2. new iso to be created

Additional info:
I haven't really tried this before but assume it was working at some point. :)

Comment 1 Jesse Keating 2008-04-03 19:15:30 UTC
This does not appear to be a Blocker issue to me.  Punting to Target.

Comment 2 Bug Zapper 2008-05-14 06:40:28 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Jeremy Katz 2008-05-27 19:58:54 UTC
Should be fixed up in git.  

Comment 4 Fedora Update System 2008-06-16 15:14:27 UTC
livecd-tools-017.1-1.fc9 has been submitted as an update for Fedora 9

Comment 5 Fedora Update System 2008-06-18 03:16:07 UTC
livecd-tools-017.1-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update livecd-tools'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-5434

Comment 6 Fedora Update System 2008-07-02 06:33:45 UTC
livecd-tools-017.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.